<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddH323GatewayReq StructType
 * @subpackage Structs
 */
class AddH323GatewayReq extends APIRequest
{
    /**
     * The h323Gateway
     * @var XH323Gateway
     */
    public $h323Gateway;
    /**
     * Constructor method for AddH323GatewayReq
     * @uses AddH323GatewayReq::setH323Gateway()
     * @param XH323Gateway $h323Gateway
     */
    public function __construct(XH323Gateway $h323Gateway = null)
    {
        $this
            ->setH323Gateway($h323Gateway);
    }
    /**
     * Get h323Gateway value
     * @return XH323Gateway|null
     */
    public function getH323Gateway()
    {
        return $this->h323Gateway;
    }
    /**
     * Set h323Gateway value
     * @param XH323Gateway $h323Gateway
     * @return AddH323GatewayReq
     */
    public function setH323Gateway(XH323Gateway $h323Gateway = null)
    {
        $this->h323Gateway = $h323Gateway;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddH323GatewayReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
